# HorizontalAlignment

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.2.0.0)

Specifies how an object or text in a control is horizontally aligned relative to an element of the control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum HorizontalAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum HorizontalAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                         |
| ---------- | ------------------------------------------------------------------- |
| **Center** | The object or text is aligned in the center of the control element. |
| **Left**   | The object or text is aligned on the left of the control element.   |
| **Right**  | The object or text is aligned on the right of the control element.  |

## Used By

| Name                                                                                                                                             | Description                                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Control.ScrollControlIntoView](/api/v2.2/wisej.web/general/control.md#scrollcontrolintoview-alignx-aligny)                                      | Scrolls the control into view in the container using the specified *alignX* and *alignY* preferences.                                                                                                                                                                 |
| [FlexLayoutPanel.HorizontalAlign](/api/v2.2/wisej.web/containers/flexlayoutpanel.md#horizontalalign)                                             | Determines the horizontal alignment of the child controls when [LayoutStyle](/api/v2.2/wisej.web/containers/flexlayoutpanel.md#layoutstyle) is set to [Vertical](/api/v2.2/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md#fields).                 |
| [FlexLayoutPanel.GetAlignX](/api/v2.2/wisej.web/containers/flexlayoutpanel.md#getalignx-control)                                                 | Determines the horizontal alignment of the child control within the panel when [LayoutStyle](/api/v2.2/wisej.web/containers/flexlayoutpanel.md#layoutstyle) is set to [Vertical](/api/v2.2/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md#fields). |
| [SlideBar.ScrollControlIntoView](/api/v2.2/wisej.web/containers/wisej.web.slidebar.md#scrollcontrolintoview-control)                             | Scrolls the specified child *control* into view. using the specified *alignX* preference.                                                                                                                                                                             |
| [MaskedTextBox.TextAlign](/api/v2.2/wisej.web/editors/wisej.web.maskedtextbox.md#textalign)                                                      | Returns or sets how text is aligned in a [TextBox](/api/v2.2/wisej.web/editors/wisej.web.textbox.md) control.                                                                                                                                                         |
| [Panel.HeaderAlignment](/api/v2.2/wisej.web/containers/wisej.web.panel.md#headeralignment)                                                       | Returns or sets the alignment of the header text in the [Panel](/api/v2.2/wisej.web/containers/wisej.web.panel.md) control.                                                                                                                                           |
| [ScrollableControl.ScrollControlIntoView](/api/v2.2/wisej.web/containers/scrollablecontrol.md#scrollcontrolintoview-control)                     | Scrolls the specified child *control* into view. using the specified *alignX* and *alignY* preferences.                                                                                                                                                               |
| [StatusBar.TextAlign](/api/v2.2/wisej.web/containers/statusbar.md#textalign)                                                                     | Returns or sets how text is aligned in a [StatusBar](/api/v2.2/wisej.web/containers/statusbar.md) control.                                                                                                                                                            |
| [StatusBarPanel.Alignment](/api/v2.2/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md#alignment)                                       | Returns or sets the alignment of text and icons within the status bar panel.                                                                                                                                                                                          |
| [TextBox.TextAlign](/api/v2.2/wisej.web/editors/wisej.web.textbox.md#textalign)                                                                  | Returns or sets how text is aligned in a [TextBox](/api/v2.2/wisej.web/editors/wisej.web.textbox.md) control.                                                                                                                                                         |
| [UpDownBase.TextAlign](/api/v2.2/wisej.web/editors/wisej.web.updownbase.md#textalign)                                                            | Returns or sets the alignment of the text in the spin box (also known as an up-down control).                                                                                                                                                                         |
| [UpDownBase.UpDownAlign](/api/v2.2/wisej.web/editors/wisej.web.updownbase.md#updownalign)                                                        | Returns or sets the alignment of the up and down buttons on the spin box (also known as an up-down control).                                                                                                                                                          |
| [ColumnHeader.TextAlign](/api/v2.2/wisej.web/lists-and-grids/listview/wisej.web.columnheader.md#textalign)                                       | Returns or sets the horizontal alignment of the text displayed in the [ColumnHeader](/api/v2.2/wisej.web/lists-and-grids/listview/wisej.web.columnheader.md).                                                                                                         |
| [ColumnHeaderCollection.Add](/api/v2.2/wisej.web/lists-and-grids/listview/wisej.web.listview.columnheadercollection.md#add-text-width-textalign) | Adds a column header to the collection with specified text, width, and alignment settings.                                                                                                                                                                            |
| [ColumnHeaderCollection.Insert](/api/v2.2/wisej.web/lists-and-grids/listview/wisej.web.listview.columnheadercollection.md#insert-index-header)   | Creates a new column header and inserts it into the collection at the specified index.                                                                                                                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v2.2/wisej.web/enumerations/wisej.web.horizontalalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
